Summary:        Monitors low-memory conditions
Name:           low-memory-monitor
Version:        2.1
Release:        4%{?dist}
License:        GPLv3+
URL:            https://gitlab.freedesktop.org/hadess/low-memory-monitor
Source0:        %{url}/uploads/9c201566253ed52a9054f514f9904e48/low-memory-monitor-2.1.tar.xz

BuildRequires:  meson gcc pkgconfig(gudev-1.0) pkgconfig(gio-2.0) systemd

%description
The Low Memory Monitor is an early boot daemon that will monitor memory pressure information coming
from the kernel, and, first, send a signal to user-space applications when memory is running low,
and then activate the kernel's OOM killer when memory is running really low.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
    -Dgtk_doc=false \
    -Dtrigger_kernel_oom=false
%meson_build

%install
%meson_install

%post
%systemd_post low-memory-monitor.service

%preun
%systemd_preun low-memory-monitor.service

%postun
%systemd_postun_with_restart low-memory-monitor.service

systemctl --no-reload preset low-memory-monitor.service &>/dev/null || :

%files
%license COPYING
%doc NEWS README.md
%{_unitdir}/low-memory-monitor.service
%{_libexecdir}/low-memory-monitor
%{_datadir}/dbus-1/system.d/org.freedesktop.LowMemoryMonitor.conf

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Shuo Wang <abushwang@tencent.com> - 2.1-1
- initial build
